﻿Type=Activity
Version=2.52
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	Dim AStream As AsyncStreams
	
	Dim Volts As Double
	Dim Amperes As Double
End Sub

Sub Globals
	Dim txtInput As EditText
	Dim txtLog As EditText
	
	Dim btnBjt As Button
	Dim btnDiode As Button
	Dim btnNmos As Button
	Dim btnPmos As Button
	Dim btnPnpbjt As Button
	Dim btnSend As Button
	
	Dim i, j As Int
	Dim s,test As String
	Dim voltage, current As Double 
	Dim Button1 As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("2")
	If AStream.IsInitialized = False Then
		AStream.Initialize(Main.Serial1.InputStream, Main.Serial1.OutputStream, "AStreams")
	End If
	
End Sub

Sub AStreams_NewData (Buffer() As Byte)
	LogMessage("uC", BytesToString(Buffer, 0, Buffer.Length, "UTF8"))
	i = 0
	j = 0
	
	
    s =  BytesToString(Buffer, 0, Buffer.Length, "UTF8")
    
    If s.IndexOf("V") <> -1 Then
    test = s.SubString(1)
    If IsNumber(test) Then
    voltage = test
    Log(NumberFormat(voltage, 1, 5))
    Volts = NumberFormat(voltage, 1, 6)
	i = i + 1
	If j=i Then
	StartActivity(Plot)
	End If
End If
End If

 If s.IndexOf("I") <> -1 Then    'this looks for the other compass data
      test = s.SubString(1)
      If IsNumber(test) Then
      current = test
      Log(NumberFormat(current, 1, 5))
      Amperes = NumberFormat(current, 1, 6)
	  j = j + 1
End If
End If

	
	
	
	
End Sub

Sub AStream_Error
	ToastMessageShow("Connection is broken.", True)
	btnSend.Enabled = False
	btnBjt.Enabled = False
	btnDiode.Enabled = False
	btnNmos.Enabled = False
	btnPmos.Enabled = False
	btnPnpbjt.Enabled = False
	txtInput.Enabled = False
End Sub

Sub AStream_Terminated
	AStream_Error
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed Then
		AStream.Close
	End If
End Sub

Sub txtInput_EnterPressed
	If btnSend.Enabled = True Then btnSend_Click
	If btnBjt.Enabled = True Then btnBjt_Click
	If btnDiode.Enabled = True Then btnDiode_Click
	If btnNmos.Enabled = True Then btnNmos_Click
	If btnPmos.Enabled = True Then btnPmos_Click
	If btnPnpbjt.Enabled = True Then btnPnpbjt_Click
End Sub
Sub btnSend_Click
	AStream.Write(txtInput.Text.GetBytes("UTF8"))
	txtInput.SelectAll
	txtInput.RequestFocus
	LogMessage("Me", txtInput.Text)
End Sub

Sub LogMessage(From As String, Msg As String)
	txtLog.Text = txtLog.Text & From & ": " & Msg & CRLF
	txtLog.SelectionStart = txtLog.Text.Length
End Sub
Sub btnPnpbjt_Click
	Dim pnp As String
	pnp = "4"
	AStream.Write(pnp.GetBytes("UTF8"))
	LogMessage("Me",pnp)
End Sub
Sub btnPmos_Click
	Dim pmos As String
	pmos = "5"
	AStream.Write(pmos.GetBytes("UTF8"))
	LogMessage("Me",pmos)
End Sub
Sub btnNmos_Click
	Dim nmos As String
	nmos = "3"
	AStream.Write(nmos.GetBytes("UTF8"))
	LogMessage("Me",nmos)
End Sub
Sub btnDiode_Click
	Dim diode As String
	diode = "1"
	AStream.Write(diode.GetBytes("UTF8"))
	LogMessage("Me",diode)
End Sub
Sub btnBjt_Click
	Dim bjt As String
	bjt = "2"
	AStream.Write(bjt.GetBytes("UTF8"))
	LogMessage("Me",bjt)
End Sub
Sub Button1_Click
	StartActivity(Plot)
End Sub