﻿Type=Activity
Version=2.52
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim x1, y1, x2, y2 As Double
	Dim Panel1 As Panel
	Dim cvsGraph As Canvas
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("3")
	If FirstTime=True Then
	x1 = 0
	y1 = 0
	End If
	
	x2 = ChatActivity.Volts
	y2 = ChatActivity.Amperes
	
	cvsGraph.initialize(Panel1)
	
	InitGrid
	DrawAxes
	DrawCurves(x2, y2)
	
End Sub

Sub Activity_Resume
	x2 = ChatActivity.Volts
	y2 = ChatActivity.Amperes
	DrawCurves(x2, y2)
End Sub

Sub InitGrid 
	Dim i, y, x As Int
	
    For i = 0 To 320 Step 20
	 	y=i
		x=0
		cvsGraph.DrawLine(x, y, 320, y, Colors.LightGray, 1dip) ' Horizontal grid lines
		
	Next
	
	For i = 0 To 320 Step 20
		x=i
		y=0
		cvsGraph.DrawLine(x, y, x, 320, Colors.LightGray, 1dip) ' Vertical grid lines
	Next
End Sub

Sub DrawAxes
	Dim i, y, x As Int
	cvsGraph.DrawLine(10, 310, 320, 310, Colors.Black, 2dip) 'X axis
	cvsGraph.DrawLine(10, 0, 10, 310, Colors.Black, 2dip) 'Y axis
	
End Sub

Sub DrawCurves(v As Double, i As Double)
	cvsGraph.DrawLine(x1+20, 300-y1, v+20, 300-i, Colors.Red, 5dip)
	Panel1.Invalidate
	CallSub(ChatActivity, "AStreams_NewData") 
End Sub
	
Sub Activity_Pause (UserClosed As Boolean)
	x1 = x2
	y1 = y2
	CallSub(ChatActivity, "AStreams_NewData") 
End Sub


